Subject: Re: bug#14461: 24.3.50; bad display for 'space' + (U+0336) unicode combination

From: Eli Zaretskii <[email-masked]>
Date: Sat, 17 Aug 2019 18:09:17 +0300

> From: Stephen Berman <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked],
>   [email-masked]
> Date: Sat, 17 Aug 2019 16:40:44 +0200
> 
> >                                                   If so, I think this
> > just means that the default font you use doesn't support these
> > combining accents, because on my system I see a single grapheme
> > cluster in both of the above cases, when I select a suitable font.
> 
> My default font is DejaVu Sans Mono, but it seems there's something else
> at play here: in contrast to 'aU+0301U+0302', I do see the sequence
> 'bU+0301U+0302' as a single grapheme cluster.  Maybe the difference is
> because there is a glyph for 'a' with an acute accent and it doesn't
> support further combining.  (But I have no idea if that makes sense.)
> Here's what describe-char shows on both:

That says you have a single grapheme cluster in both cases.  Does the
cursor include all of the characters in both cases?  IOW, can you move
with C-f between these 3 characters, or do they behave as a single
character cell in both cases?  If the latter, then the composition was
done in both cases, and you simply should find a better font if you
want these displayed more nicely.